
<md-dialog flex="50" aria-label="Rebuild testrun" class="styled-modal">
    <md-toolbar class="modal-header">
        <div class="md-toolbar-tools modal-header__wrapper">
            <h2 id="modalTitle" class="modal-header__title">Rebuild testrun</h2>
            <span flex></span>
            <md-button id="close" class="md-icon-button _default-md-style" ng-click="cancel()">
                <md-icon aria-label="Close dialog">close</md-icon>
            </md-button>
        </div>
    </md-toolbar>

    <md-dialog-content class="modal-content">
        <div class="md-dialog-content modal-content__wrapper">
            <div layout layout-sm="row">
                <md-input-container flex class="no-margin">
                    <md-radio-group ng-model="rerunFailures">
                        <div class="rebuild-modal-row" ng-if="displayFailuresOption">
                            <md-radio-button
                                id="onlyFailures"
                                ng-value="true">
                                Only failures
                            </md-radio-button>
                        </div>
                        <div class="rebuild-modal-row" ng-if="displayAllOption">
                            <md-radio-button
                                class="no-margin"
                                id="allTests"
                                ng-value="false">
                                All tests
                            </md-radio-button>
                        </div>
                    </md-radio-group>
                </md-input-container>
            </div>
        </div>
    </md-dialog-content>
    <md-dialog-actions class="styled-modal__controls-wrapper">
        <md-button id="rerun" type="submit" class="md-raised btn-w-md md-primary" data-ng-click="rebuild(testRun, rerunFailures)" md-selected="true">
            Rerun
        </md-button>
    </md-dialog-actions>
</md-dialog>
